
Foreman - Bug #5670

Invalid sql when searching for two words

05/12/2014 11:25 AM - Apely AGAMAKOU

Status: Duplicate   

Priority: Low   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi

If i try to make a search based of facts name i have this issue.

ActiveRecord::StatementInvalid

Mysql2::Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right

syntax to use near 'OR `hostgroups`.`name` LIKE '%host%' OR `fact_names`.`short_name` LIKE '%host%')' at line 1: SELECT

DISTINCT `fact_values`.id FROM `fact_values` LEFT OUTER JOIN `fact_names` ON `fact_names`.`id` =

`fact_values`.`fact_name_id` LEFT OUTER JOIN `hosts` ON `hosts`.`id` = `fact_values`.`host_id` AND `hosts`.`type` IN

('Host::Managed') LEFT OUTER JOIN `hostgroups` ON `hostgroups`.`id` = `hosts`.`hostgroup_id` LEFT OUTER JOIN `hosts`

`hosts_fact_values` ON `hosts_fact_values`.`id` = `fact_values`.`host_id` AND `hosts_fact_values`.`type` IN ('Host::Managed')

INNER JOIN `fact_names` fact_names_171758 ON (fact_names_171758.id = fact_values.fact_name_id) WHERE

`fact_names`.`ancestry` IS NULL AND (fact_names.name <> '_timestamp') AND ((fact_names_171758.`name` = '') AND

(`fact_values`.`value` LIKE '%host%' OR `fact_values`.`value` LIKE '%host%' OR `fact_names`.`name` LIKE '%host%' OR OR

`hostgroups`.`name` LIKE '%host%' OR `fact_names`.`short_name` LIKE '%host%')) ORDER BY `fact_values`.`value` ASC LIMIT

100 OFFSET 0

app/views/fact_values/index.html.erb:15:in `_app_views_fact_values_index_html_erb__1210802909006200332_86901560'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

OS: Debian 7.5

Foreman : 1.5.0-1

Mysql : 5.5.37-0+wheezy1

Related issues:

Is duplicate of Foreman - Bug #5566: Fact Values Query Produces Error Closed 05/05/2014

History

#1 - 05/12/2014 11:35 AM - Apely AGAMAKOU

shame on me It's a mistake .

#2 - 05/12/2014 11:47 AM - Dominic Cleal

- Category set to Search

- Status changed from New to Resolved

Glad you got it sorted, was it an error in the search query or something?

#3 - 05/12/2014 11:55 AM - Apely AGAMAKOU

It was due to a weird query from myself ,

I'm working on a feature that it seems doesnt work "Update the location from facts"

I did everything create a fact : "location" and update the setting with this informations but still doesnt work.
Regards.

#4 - 05/13/2014 10:55 AM - Dominic Cleal

- Subject changed from Invalid sql Request. to Invalid sql when searching for two words

- Status changed from Resolved to New

- Priority changed from Normal to Low

Reopening as this is a bug, probably in scoped_search.

To reproduce, search for "a b" on the fact_values page.

#5 - 06/19/2014 12:21 PM - Dominic Cleal

- Is duplicate of Bug #5566: Fact Values Query Produces Error added

#6 - 06/19/2014 12:22 PM - Dominic Cleal

- Status changed from New to Duplicate

Seems we had this open already as #5566, it's been fixed there.  Thanks for the report!
